|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::AnimationValue Class Reference

`#include <AnimationValue.h>`

List of all members.

## Public Member Functions

float | getFloat (unsigned int index) const
void | setFloat (unsigned int index, float value)
void | getFloats (unsigned int index, float *values, unsigned int count) const
void | setFloats (unsigned int index, float *values, unsigned int count)

## Detailed Description

Defines a running animation value which can have one or more floats.

## Member Function Documentation

float gameplay::AnimationValue::getFloat | ( | unsigned int | index | ) | const

Gets the value at the specified index.

Parameters:

  index | The index of the component to get the value for.

Returns:
  The float value at the specified index.

void gameplay::AnimationValue::getFloats | ( | unsigned int | index,
|  | float * | values,
|  | unsigned int | count
| ) |  | const

Copies one or more float values from this AnimationValue into the specified array.

Parameters:

  index | The index to start copying from.
  values | Pointer to float array to copy values into.
  count | Number of values to copy.

void gameplay::AnimationValue::setFloat | ( | unsigned int | index,
|  | float | value
| ) |  |

Sets the value at the specified index.

Parameters:

  index | The index of the component to set the value for.
  value | The value to set the component to.

void gameplay::AnimationValue::setFloats | ( | unsigned int | index,
|  | float * | values,
|  | unsigned int | count
| ) |  |

Copies one or more float values into the AnimationValue.

Parameters:

  index | The index of the first component to set the value for.
  values | Array of values to copy into the AnimationValue.
  count | Number of values to in the array to copy in.

All Classes Functions Variables Typedefs Enumerations Enumerator